<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>    
		<record id="target_skp_workflow" model="workflow">
		    <field name="name">target.skp.workflow</field>
		    <field name="osv">project.project</field>
		    <field name="on_create">True</field>
		</record>
		

		<!-- Action -->
		<record id="act_draft" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="flow_start">True</field>
		    <field name="name">draft</field>
		    <field name="kind">function</field>
		    <field name="action">set_draft()</field>
		</record>
		<record id="act_new" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">new</field>
		    <field name="kind">function</field>
		    <field name="action">set_new()</field>
		</record>
		<record id="act_propose" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">propose</field>
		    <field name="kind">function</field>
		    <field name="action">set_propose()</field>
		</record>
		<record id="act_evaluated" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">verification</field>
		    <field name="kind">function</field>
		    <field name="action">set_evaluated()</field>
		</record>
		<record id="act_confirm" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">confirm</field>
		    <field name="kind">function</field>
		    <field name="action">set_confirm()</field>
		</record>
		<record id="act_cancel" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">cancel</field>
		    <field name="kind">function</field>
		    <field name="action">cancel_target()</field>
		</record>
		<record id="act_correction" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">correction</field>
		    <field name="kind">function</field>
		    <field name="action">set_propose_correction()</field>
		</record>
		
		<record id="act_propose_closing" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="name">propose_closing</field>
		    <field name="kind">function</field>
		    <field name="action">set_propose_closing()</field>
		</record>
		<record id="act_closing" model="workflow.activity">
		    <field name="wkf_id" ref="target_skp_workflow"/>
		    <field name="flow_stop">True</field>
		    <field name="name">closing</field>
		    <field name="kind">function</field>
		    <field name="action">set_closing_approve()</field>
		</record>
		<!-- Transisi -->
		<record id="trans_draft_to_new" model="workflow.transition">
		    <field name="act_from" ref="act_draft"/>
		    <field name="act_to" ref="act_new"/>
		    <field name="signal">action_new</field>
		    <field name="condition">is_user()</field>
		</record>
		<record id="trans_new_to_propose" model="workflow.transition">
		    <field name="act_from" ref="act_new"/>
		    <field name="act_to" ref="act_propose"/>
		    <field name="signal">action_propose</field>
		    <field name="condition">is_user()</field>
		</record>
		<record id="trans_propose_to_new" model="workflow.transition">
		    <field name="act_from" ref="act_propose"/>
		    <field name="act_to" ref="act_new"/>
		    <field name="signal">action_propose_rejected</field>
		    <field name="condition">is_manager()
		    </field>
		</record>
		<record id="trans_propose_to_evaluated" model="workflow.transition">
		    <field name="act_from" ref="act_propose"/>
		    <field name="act_to" ref="act_evaluated"/>
		    <field name="signal">action_evaluated</field>
		    <field name="condition">is_manager()</field>
		</record>
		<record id="trans_evaluated_to_propose" model="workflow.transition">
		    <field name="act_from" ref="act_evaluated"/>
		    <field name="act_to" ref="act_new"/>
		    <field name="signal">action_evaluate_rejected</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<record id="trans_evaluated_to_confirm" model="workflow.transition">
		    <field name="act_from" ref="act_evaluated"/>
		    <field name="act_to" ref="act_confirm"/>
		    <field name="signal">action_confirm</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<record id="trans_confirm_to_evaluated" model="workflow.transition">
		    <field name="act_from" ref="act_confirm"/>
		    <field name="act_to" ref="act_evaluated"/>
		    <field name="signal">action_reconfirm</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<!-- Cancel -->
		<record id="trans_draft_to_cancel" model="workflow.transition">
			<field name="act_from" ref="act_draft"/>
		    <field name="act_to" ref="act_cancel"/>
		    <field name="signal">action_cancel_target</field>
		    <field name="condition">is_user()</field>
		</record>
		<record id="trans_new_to_cancel" model="workflow.transition">
			<field name="act_from" ref="act_new"/>
		    <field name="act_to" ref="act_cancel"/>
		    <field name="signal">action_cancel_target</field>
		    <field name="condition">is_user()</field>
		</record>
		<!-- Revisi Target --> 		
		<record id="trans_act_confirm_to_correction" model="workflow.transition">
			<field name="act_from" ref="act_confirm"/>
		    <field name="act_to" ref="act_correction"/>
		    <field name="signal">action_revisi</field>
		    <field name="condition">is_user()</field> 
		</record>
		<record id="trans_correction_to_new" model="workflow.transition">
			<field name="act_from" ref="act_correction"/>
		    <field name="act_to" ref="act_new"/>
		    <field name="signal">action_correction_approve</field>
		    <field name="condition">is_verificator()
		    </field>
		</record>
		<record id="trans_correction_to_confirm" model="workflow.transition">
			<field name="act_from" ref="act_correction"/>
		    <field name="act_to" ref="act_confirm"/>
		    <field name="signal">action_correction_reject</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<!-- Closing Target 	--> 	
		<record id="trans_act_confirm_to_propose_closing" model="workflow.transition">
			<field name="act_from" ref="act_confirm"/>
		    <field name="act_to" ref="act_propose_closing"/>
		    <field name="signal">action_closing</field>
		    <field name="condition">is_user()</field>
		</record>
		<record id="trans_propose_closing_to_close" model="workflow.transition">
			<field name="act_from" ref="act_propose_closing"/>
		    <field name="act_to" ref="act_closing"/>
		    <field name="signal">action_closing_approve</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<record id="trans_propose_closing_to_cancel" model="workflow.transition">
			<field name="act_from" ref="act_propose_closing"/>
		    <field name="act_to" ref="act_cancel"/>
		    <field name="signal">action_cancel_propose_closing</field>
		    <field name="condition">is_verificator()</field>
		</record>
		<record id="trans_propose_closing_to_confirm" model="workflow.transition">
			<field name="act_from" ref="act_propose_closing"/>
		    <field name="act_to" ref="act_confirm"/>
		    <field name="signal">action_closing_reject</field>
		    <field name="condition">is_verificator()</field>
		</record>
	</data>
</openerp>